Page MenuHomePhabricator

[libclang] Support querying whether a declaration is invalid
ClosedPublic

Authored by nik on Nov 15 2017, 4:39 AM.

Diff Detail

Repository
rC Clang

Event Timeline

nik created this revision.Nov 15 2017, 4:39 AM
nik updated this revision to Diff 123010.Nov 15 2017, 4:41 AM

Add more verbose comment.

nik added a subscriber: cfe-commits.
klimek accepted this revision.Nov 28 2017, 1:44 AM

LG

include/clang-c/Index.h
2644

Perhaps add that we need to have identified it as a declaration, and that it'll return 0 when we didn't indeed identify something as a declaration :)

This revision is now accepted and ready to land.Nov 28 2017, 1:44 AM
nik updated this revision to Diff 124550.Nov 28 2017, 5:15 AM
nik marked an inline comment as done.

Rebaed and clarified the documentation only.

Please submit as I don't have the permissions.

nik added a comment.Dec 14 2017, 6:49 AM

Ping... "Please submit as I don't have the permissions."

nik updated this revision to Diff 128491.Jan 2 2018, 11:51 PM

Had to rebase.

This revision was automatically updated to reflect the committed changes.